<?xml version="1.0" encoding="utf-8"?><!--
SPDX-FileCopyrightText: Adam Evyčędo

SPDX-License-Identifier: GPL-3.0-or-later
-->
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:app="http://schemas.android.com/apk/res-auto"
	xmlns:tool="http://schemas.android.com/tools"
	android:layout_width="match_parent"
	android:layout_height="wrap_content"
	android:paddingStart="8dp"
	android:paddingTop="8dp"
	android:paddingEnd="8dp"
	android:paddingBottom="8dp">

	<androidx.constraintlayout.widget.ConstraintLayout
		android:id="@+id/leg_origin_box"
		android:layout_width="match_parent"
		android:layout_height="wrap_content"
		android:paddingBottom="8dp"
		android:paddingTop="8dp"
		app:layout_constraintStart_toStartOf="parent"
		app:layout_constraintTop_toTopOf="parent">

		<ImageView
			android:id="@+id/leg_origin_image"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:contentDescription="@string/beginning_of_journey_s_leg"
			android:src="@drawable/origin"
			app:layout_constraintBottom_toBottomOf="@+id/leg_origin"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toTopOf="@+id/leg_origin" />

		<com.google.android.material.textview.MaterialTextView
			android:id="@+id/leg_origin"
			android:layout_width="0dp"
			android:layout_height="wrap_content"
			android:layout_marginStart="8dp"
			android:textAppearance="@style/TextAppearance.Material3.BodyLarge"
			app:layout_constraintBottom_toBottomOf="parent"
			app:layout_constraintEnd_toStartOf="@+id/leg_origin_time"
			app:layout_constraintStart_toEndOf="@+id/leg_origin_image"
			app:layout_constraintTop_toTopOf="parent"
			tool:text="Polna" />

		<com.google.android.material.textview.MaterialTextView
			android:id="@+id/leg_origin_time"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:textAppearance="@style/TextAppearance.Material3.BodyLarge"
			app:layout_constraintBottom_toBottomOf="@+id/leg_origin"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintTop_toTopOf="@+id/leg_origin"
			tool:text="11:25" />
	</androidx.constraintlayout.widget.ConstraintLayout>

	<androidx.constraintlayout.widget.ConstraintLayout
		android:id="@+id/leg_mode_box"
		android:paddingBottom="8dp"
		android:paddingTop="8dp"
		android:layout_width="match_parent"
		android:layout_height="wrap_content"
		app:layout_constraintStart_toStartOf="parent"
		app:layout_constraintTop_toBottomOf="@id/leg_origin_box">
	<ImageView
		android:id="@+id/leg_mode_image"
		android:layout_width="wrap_content"
		android:layout_height="wrap_content"
		android:src="@drawable/bike"
		app:layout_constraintStart_toStartOf="parent"
		app:layout_constraintTop_toTopOf="parent"
		tool:ignore="ContentDescription" />

	<com.google.android.material.textview.MaterialTextView
		android:id="@+id/leg_line"
		android:layout_width="wrap_content"
		android:layout_height="wrap_content"
		android:paddingStart="8dp"
		android:paddingEnd="8dp"
		android:textAppearance="@style/TextAppearance.Material3.BodyLarge"
		app:layout_constraintBottom_toBottomOf="@+id/leg_mode_image"
		app:layout_constraintStart_toEndOf="@+id/leg_mode_image"
		app:layout_constraintTop_toTopOf="@+id/leg_mode_image"
		tool:text="610" />

	<com.google.android.material.textview.MaterialTextView
		android:id="@+id/leg_distance"
		android:layout_width="0dp"
		android:layout_height="wrap_content"
		android:layout_marginStart="8dp"
		android:textAppearance="@style/TextAppearance.Material3.LabelSmall"
		app:layout_constraintBottom_toBottomOf="@+id/leg_line"
		app:layout_constraintEnd_toEndOf="parent"
		app:layout_constraintStart_toEndOf="@+id/leg_line"
		app:layout_constraintTop_toTopOf="@+id/leg_line"
		tool:text="12 stops" />
	</androidx.constraintlayout.widget.ConstraintLayout>

	<androidx.constraintlayout.widget.ConstraintLayout
		android:paddingBottom="8dp"
		android:paddingTop="8dp"
		android:id="@+id/leg_destination_box"
		android:layout_width="match_parent"
		android:layout_height="wrap_content"
		app:layout_constraintStart_toStartOf="parent"
		app:layout_constraintTop_toBottomOf="@id/leg_mode_box">

		<ImageView
			android:id="@+id/leg_destination_image"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:contentDescription="@string/end_of_journey_s_leg"
			android:src="@drawable/destination"
			app:layout_constraintBottom_toBottomOf="@+id/leg_destination"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toTopOf="@+id/leg_destination" />

		<com.google.android.material.textview.MaterialTextView
			android:id="@+id/leg_destination"
			android:layout_width="0dp"
			android:layout_height="wrap_content"
			android:layout_marginStart="8dp"
			android:textAppearance="@style/TextAppearance.Material3.BodyLarge"
			app:layout_constraintBottom_toBottomOf="parent"
			app:layout_constraintEnd_toStartOf="@+id/leg_destination_time"
			app:layout_constraintStart_toEndOf="@+id/leg_destination_image"
			app:layout_constraintTop_toTopOf="parent"
			tool:text="Bardzo dluga nazwa przystanku na którym należy wysiąść" />

	<com.google.android.material.textview.MaterialTextView
		android:id="@+id/leg_destination_time"
		android:layout_width="wrap_content"
		android:layout_height="wrap_content"
		android:textAppearance="@style/TextAppearance.Material3.BodyLarge"
		app:layout_constraintBottom_toBottomOf="@+id/leg_destination"
		app:layout_constraintEnd_toEndOf="parent"
		app:layout_constraintTop_toTopOf="@+id/leg_destination"
		tool:text="11:30" />
	</androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>